SDL_sysrender.h File Reference
`#include "../SDL_internal.h"`
`#include "SDL_render.h"`
`#include "SDL_events.h"`
`#include "SDL_yuv_sw_c.h"`
Include dependency graph for SDL_sysrender.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_FPoint
struct | SDL_FRect
struct | SDL_Texture
struct | SDL_Renderer
struct | SDL_RenderDriver

## Functions

SDL_BlendFactor | SDL_GetBlendModeSrcColorFactor (SDL_BlendMode blendMode)
SDL_BlendFactor | SDL_GetBlendModeDstColorFactor (SDL_BlendMode blendMode)
SDL_BlendOperation | SDL_GetBlendModeColorOperation (SDL_BlendMode blendMode)
SDL_BlendFactor | SDL_GetBlendModeSrcAlphaFactor (SDL_BlendMode blendMode)
SDL_BlendFactor | SDL_GetBlendModeDstAlphaFactor (SDL_BlendMode blendMode)
SDL_BlendOperation | SDL_GetBlendModeAlphaOperation (SDL_BlendMode blendMode)

## Variables

SDL_RenderDriver | D3D_RenderDriver
SDL_RenderDriver | D3D11_RenderDriver
SDL_RenderDriver | GL_RenderDriver
SDL_RenderDriver | GLES2_RenderDriver
SDL_RenderDriver | GLES_RenderDriver
SDL_RenderDriver | DirectFB_RenderDriver
SDL_RenderDriver | METAL_RenderDriver
SDL_RenderDriver | PSP_RenderDriver
SDL_RenderDriver | SW_RenderDriver

## Function Documentation

## SDL_GetBlendModeAlphaOperation()

SDL_BlendOperation SDL_GetBlendModeAlphaOperation | ( | SDL_BlendMode | blendMode | ) |

Definition at line 2228 of file SDL_render.c.

References SDL_GetLongBlendMode().

{
blendMode = SDL_GetLongBlendMode(blendMode);
return (SDL_BlendOperation)(((Uint32)blendMode >> 16) & 0xF);
}
Uint32
uint32_t Uint32
Definition: SDL_stdinc.h:181
SDL_BlendOperation
SDL_BlendOperation
The blend operation used when combining source and destination pixel components.
Definition: SDL_blendmode.h:62
blendMode
static SDL_BlendMode blendMode
Definition: testdraw2.c:34
SDL_GetLongBlendMode
static SDL_BlendMode SDL_GetLongBlendMode(SDL_BlendMode blendMode)
Definition: SDL_render.c:2164

## SDL_GetBlendModeColorOperation()

SDL_BlendOperation SDL_GetBlendModeColorOperation | ( | SDL_BlendMode | blendMode | ) |

Definition at line 2207 of file SDL_render.c.

References SDL_GetLongBlendMode().

{
blendMode = SDL_GetLongBlendMode(blendMode);
return (SDL_BlendOperation)(((Uint32)blendMode >> 0) & 0xF);
}
Uint32
uint32_t Uint32
Definition: SDL_stdinc.h:181
SDL_BlendOperation
SDL_BlendOperation
The blend operation used when combining source and destination pixel components.
Definition: SDL_blendmode.h:62
blendMode
static SDL_BlendMode blendMode
Definition: testdraw2.c:34
SDL_GetLongBlendMode
static SDL_BlendMode SDL_GetLongBlendMode(SDL_BlendMode blendMode)
Definition: SDL_render.c:2164

## SDL_GetBlendModeDstAlphaFactor()

SDL_BlendFactor SDL_GetBlendModeDstAlphaFactor | ( | SDL_BlendMode | blendMode | ) |

Definition at line 2221 of file SDL_render.c.

References SDL_GetLongBlendMode().

{
blendMode = SDL_GetLongBlendMode(blendMode);
return (SDL_BlendFactor)(((Uint32)blendMode >> 24) & 0xF);
}
SDL_BlendFactor
SDL_BlendFactor
The normalized factor used to multiply pixel components.
Definition: SDL_blendmode.h:75
Uint32
uint32_t Uint32
Definition: SDL_stdinc.h:181
blendMode
static SDL_BlendMode blendMode
Definition: testdraw2.c:34
SDL_GetLongBlendMode
static SDL_BlendMode SDL_GetLongBlendMode(SDL_BlendMode blendMode)
Definition: SDL_render.c:2164

## SDL_GetBlendModeDstColorFactor()

SDL_BlendFactor SDL_GetBlendModeDstColorFactor | ( | SDL_BlendMode | blendMode | ) |

Definition at line 2200 of file SDL_render.c.

References SDL_GetLongBlendMode().

{
blendMode = SDL_GetLongBlendMode(blendMode);
return (SDL_BlendFactor)(((Uint32)blendMode >> 8) & 0xF);
}
SDL_BlendFactor
SDL_BlendFactor
The normalized factor used to multiply pixel components.
Definition: SDL_blendmode.h:75
Uint32
uint32_t Uint32
Definition: SDL_stdinc.h:181
blendMode
static SDL_BlendMode blendMode
Definition: testdraw2.c:34
SDL_GetLongBlendMode
static SDL_BlendMode SDL_GetLongBlendMode(SDL_BlendMode blendMode)
Definition: SDL_render.c:2164

## SDL_GetBlendModeSrcAlphaFactor()

SDL_BlendFactor SDL_GetBlendModeSrcAlphaFactor | ( | SDL_BlendMode | blendMode | ) |

Definition at line 2214 of file SDL_render.c.

References SDL_GetLongBlendMode().

{
blendMode = SDL_GetLongBlendMode(blendMode);
return (SDL_BlendFactor)(((Uint32)blendMode >> 20) & 0xF);
}
SDL_BlendFactor
SDL_BlendFactor
The normalized factor used to multiply pixel components.
Definition: SDL_blendmode.h:75
Uint32
uint32_t Uint32
Definition: SDL_stdinc.h:181
blendMode
static SDL_BlendMode blendMode
Definition: testdraw2.c:34
SDL_GetLongBlendMode
static SDL_BlendMode SDL_GetLongBlendMode(SDL_BlendMode blendMode)
Definition: SDL_render.c:2164

## SDL_GetBlendModeSrcColorFactor()

SDL_BlendFactor SDL_GetBlendModeSrcColorFactor | ( | SDL_BlendMode | blendMode | ) |

Definition at line 2193 of file SDL_render.c.

References SDL_GetLongBlendMode().

{
blendMode = SDL_GetLongBlendMode(blendMode);
return (SDL_BlendFactor)(((Uint32)blendMode >> 4) & 0xF);
}
SDL_BlendFactor
SDL_BlendFactor
The normalized factor used to multiply pixel components.
Definition: SDL_blendmode.h:75
Uint32
uint32_t Uint32
Definition: SDL_stdinc.h:181
blendMode
static SDL_BlendMode blendMode
Definition: testdraw2.c:34
SDL_GetLongBlendMode
static SDL_BlendMode SDL_GetLongBlendMode(SDL_BlendMode blendMode)
Definition: SDL_render.c:2164

## Variable Documentation

## D3D11_RenderDriver

SDL_RenderDriver D3D11_RenderDriver

## D3D_RenderDriver

SDL_RenderDriver D3D_RenderDriver

## DirectFB_RenderDriver

SDL_RenderDriver DirectFB_RenderDriver

## GL_RenderDriver

SDL_RenderDriver GL_RenderDriver

## GLES2_RenderDriver

SDL_RenderDriver GLES2_RenderDriver

## GLES_RenderDriver

SDL_RenderDriver GLES_RenderDriver

## METAL_RenderDriver

SDL_RenderDriver METAL_RenderDriver

## PSP_RenderDriver

SDL_RenderDriver PSP_RenderDriver

## SW_RenderDriver

SDL_RenderDriver SW_RenderDriver

Definition at line 78 of file SDL_render_sw.c.